Subject: Re: [lojban] JL & LK

From: John Cowan <[email-masked]>
Date: Sat, 31 Aug 2002 19:45:07 -0400 (EDT)

Robert J. Chassell scripsit:

> As far as I can figure out, PDF is designed by and for people who
> typeset and print. PDF was designed for a world that is passing; it
> is not designed for the modern world.

The consumption of paper is rising steadily, and the need for final-form
(non-editable) documents has not gone away. I myself now print at
600 dpi a good deal that once I would have read on-screen at 72 dpi.

I grow old, I grow old,
I shall wear the corners of my glasses rolled.
--Not T.S. Eliot

> How well does PDF work with an acoustic desktop? 

It depends on how the PDF was created: it always contains glyphs; it
may or may not contain characters.

> (An example of an online issue: from the point of view of someone
> from the early 1980s, HTML is instrinsically broken. Because of its
> design, you can never create an HTML document that you can navigate as
> efficiently as an Info document. This is because HTML does not
> distinguish between references to another part of the same document
> and references to node outside the document. So your search mechanism
> can work well only within the current page; or you must depend on a
> preconstructed index.)

By convention it is easy to distinguish, because hrefs whose value
begin with "#" are always intradocument. It is possible to create
hrefs that are intradocument and do not begin with "#", but only by
punning, which is bad HTML practice.

> XML is not as good as Texinfo; the sources are harder to read or
> listen to than Texinfo sources, but it is a popular mark up language
> and would be an OK choice, too.

XML is not a markup language. DocBook and TEI are markup languages.

-- 
John Cowan [email-masked] www.reutershealth.com www.ccil.org/~cowan
Assent may be registered by a signature, a handshake, or a click of a computer
mouse transmitted across the invisible ether of the Internet. Formality
is not a requisite; any sign, symbol or action, or even willful inaction,
as long as it is unequivocally referable to the promise, may create a contract.
--_Specht v. Netscape_